
NUM_EC = 4

class EC:
	#id
	id = 0
	def __init__(self, in_id):
		self.id = in_id

	def run(self, input):
		if input > self.id:
			return input
		elif input < self.id:
			return self.id
		else:
			return NUM_EC

	def trsfun(self, input):
		return self.run(input)

